Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class IdPStorageServiceCredentialRepository.VersionedCredentialSet

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.IdPStorageServiceCredentialRepository.VersionedCredentialSet

Enclosing class:
  IdPStorageServiceCredentialRepository

private class IdPStorageServiceCredentialRepository.VersionedCredentialSet extends Object
A class to wrap a set of deserialized credentials alongside the storage record version reported by the storage service.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<CredentialRecord>`
`credentials`
The wrapped set of credentials.
`private final long`
`version`
The storage record version.

## Constructor Summary

Constructors
Constructor
Description
`VersionedCredentialSet(long ver, Set<CredentialRecord> creds)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Set<CredentialRecord>`
`getCredentials()`
Get the wrapped set of credentials.
`long`
`getVersion()`
Get the storage record version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### version

private final long version
The storage record version.

### credentials

@Nonnull @Unmodifiable private final Set<CredentialRecord> credentials
The wrapped set of credentials.

## Constructor Details

### VersionedCredentialSet

public VersionedCredentialSet(long ver, @Nonnull Set<CredentialRecord> creds)
Constructor.

Parameters:
  `ver` - the storage record version
  `creds` - the wrapped set of credentials

## Method Details

### getVersion

public long getVersion()
Get the storage record version.

Returns:
  the version.

### getCredentials

@Nonnull @Unmodifiable @NotLive public Set<CredentialRecord> getCredentials()
Get the wrapped set of credentials.

Returns:
  the credentials.